org.gradle.nativeplatform.tasks

## Class LinkSharedLibrary

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.nativeplatform.tasks.AbstractLinkTask
      - - org.gradle.nativeplatform.tasks.LinkSharedLibrary

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, ObjectFilesToBinary, org.gradle.util.Configurable<Task>

      @Incubating
      public class LinkSharedLibrary
      extends AbstractLinkTask

  Links a binary shared library from object files and imported libraries.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LinkSharedLibrary()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.gradle.nativeplatform.internal.LinkerSpec` | `createLinkerSpec()`
    `RegularFileProperty` | `getImportLibrary()` Returns the import library produced by this task.
    `String` | `getInstallName()`
    `void` | `setInstallName(String installName)`

    - ### Methods inherited from class org.gradle.nativeplatform.tasks.AbstractLinkTask

      `getBinaryFile, getDestinationDir, getLibs, getLinkerArgs, getOperationLoggerFactory, getOutputFile, getSource, getTargetPlatform, getToolChain, isDebuggable, lib, link, setDebuggable, setLibs, setOutputFile, setOutputFile, setSource, setTargetPlatform, setToolChain, source`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.gradle.api.Task

      `configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, hasProperty, leftShift, mustRunAfter, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

    - ### Methods inherited from interface org.gradle.api.plugins.ExtensionAware

      `getExtensions`

- - ### Constructor Detail

    - #### LinkSharedLibrary

          public LinkSharedLibrary()

  - ### Method Detail

    - #### getImportLibrary

          @Optional
           @OutputFile
          public RegularFileProperty getImportLibrary()

      Returns the import library produced by this task. Defaults to the directory containing the runtime file and is not defined when no import library will be produced.
      Since:
        4.4

    - #### getInstallName

          @Input
           @Optional
          public String getInstallName()

    - #### setInstallName

          public void setInstallName(String installName)

    - #### createLinkerSpec

          protected org.gradle.nativeplatform.internal.LinkerSpec createLinkerSpec()

      Specified by:
        `createLinkerSpec` in class `AbstractLinkTask`